Package Details: chef-workstation 24.2.1058-1

Git Clone URL: https://aur.archlinux.org/chef-workstation.git (read-only, click to copy)
Package Base: chef-workstation
Description: Chef's developer toolkit that includes Infra, InSpec, Habitat, and tools like knife.
Upstream URL: https://www.chef.io/downloads/tools/workstation
Keywords: chef chef-dk chef-workstation inspec knife
Licenses: custom:Chef EULA
Conflicts: chef, chef-dk, chef-solo, cinc
Replaces: chef-dk
Submitter: TrevorBramble
Maintainer: tmoore
Last Packager: tmoore
Votes: 11
Popularity: 0.101436
First Submitted: 2018-06-14 05:12 (UTC)
Last Updated: 2024-02-22 20:24 (UTC)

Pinned Comments

<deleted-account> commented on 2022-04-20 01:28 (UTC)

Maintainer's Notes:

Latest Comments

1 2 3 Next › Last »

b1tem3 commented on 2024-02-12 12:53 (UTC)

@tmoore,

Awesome, thanks :)

tmoore commented on 2024-02-09 18:45 (UTC)

@b1tem3 Package updated :)

b1tem3 commented on 2023-06-13 08:52 (UTC)

Hi @otlet,

Any update on updating the package?

b1tem3 commented on 2023-06-05 06:26 (UTC)

Hi @otlet,

I have flagged the package as out of date.

There is a latest version release 23.5.1040 which resolves the chef env --chef-license accept that I raised with Chef Progress.

https://docs.chef.io/release_notes_workstation/#23.5.1040

canton7 commented on 2023-05-18 19:55 (UTC)

For what it's worth, the solution seems to be:

/opt/chef-workstation/embedded/bin/gem install ruby-shadow

b1tem3 commented on 2023-04-20 12:46 (UTC)

@conton7

That seems to be a bug in the chef-workstation release.

You can add this bug the the chef-workstation issues at the below link

https://github.com/chef/chef-workstation/issues

canton7 commented on 2023-04-19 07:34 (UTC) (edited on 2023-04-19 07:46 (UTC) by canton7)

Chef::Exceptions::MissingLibrary
--------------------------------
You must have ruby-shadow installed for password support!

I get the following error when trying to run the latest version and do anything with a user block. I have ruby-shadow installed (with pacman).

b1tem3 commented on 2023-04-11 10:38 (UTC)

@otlet!

Thank you for the speedy action and response, much appreciated. I will definitely keep in mind to mark it is at Out-of-date going forward.

otlet commented on 2023-04-11 10:29 (UTC)

Hi @b1tem3!

Thanks for letting me know :)

I made an update to the package.

In a situation where I have not updated the package for some reason, you can mark the package as Out-of-date - I will then get a notification that someone has noticed such a situation.

b1tem3 commented on 2023-04-11 09:54 (UTC)

Hi, Sorry I am new to Arch Linux and require the chef workstation package to be updated in the AUR repo.

Can you please update it to the latest version below, or is there a way I can do? If there are readme notes on how to update packages I really dont mind doing this.

Chef has released an latest version of Chef-Workstation. I require this as there is a bug fix that I need fixed on my local machine.

Version = 23.4.1032 Source = https://packages.chef.io/files/stable/chef-workstation/23.4.1032/debian/11/chef-workstation_23.4.1032-1_amd64.deb